Bug 226262

Summary: ANGLE Metal translator pre-rotation code is unused and it asserts when used
Product: WebKit Reporter: Kimmo Kinnunen <kkinnunen>
Component: ANGLEAssignee: Kimmo Kinnunen <kkinnunen>
Status: RESOLVED FIXED    
Severity: Normal CC: dino, ews-watchlist, graouts, johncunningham, kkinnunen, kondapallykalyan, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: Other   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Kimmo Kinnunen 2021-05-26 02:42:45 PDT
ANGLE Metal translator pre-rotation code is unused and buggy

It is unused and most likely not neededed.
It asserts when used.
Comment 1 Kimmo Kinnunen 2021-05-26 02:47:12 PDT
Created attachment 429742 [details]
Patch
Comment 2 EWS Watchlist 2021-05-26 02:48:15 PDT
Note that there are important steps to take when updating ANGLE. See https://trac.webkit.org/wiki/UpdatingANGLE
Comment 3 Kimmo Kinnunen 2021-05-26 04:18:11 PDT
Created attachment 429746 [details]
Patch
Comment 4 John Cunningham 2021-05-26 18:32:44 PDT
Comment on attachment 429746 [details]
Patch

The DriverUniforms struct needs updating as well to reflect these changes in ContextMtl.h, apart from that it LGTM.
Comment 5 Kimmo Kinnunen 2021-05-27 03:22:00 PDT
Created attachment 429864 [details]
Patch
Comment 6 John Cunningham 2021-05-27 11:26:35 PDT
Comment on attachment 429864 [details]
Patch

LGTM
Comment 7 EWS 2021-06-01 01:01:51 PDT
Committed r278298 (238335@main): <https://commits.webkit.org/238335@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 429864 [details].
Comment 8 Radar WebKit Bug Importer 2021-06-01 01:02:17 PDT
<rdar://problem/78703256>